POST Agents/ForeignSystem/SaveForeignAppEntity
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/ForeignSystem/SaveForeignAppEntity
Updates the existing ForeignAppEntity or creates a new ForeignAppEntity if the id parameter is 0.
NsApiSlow threshold: 5000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: foreignAppEntity
The ForeignAppEntity that is saved
| Property Name | Type | Description |
|---|---|---|
| ForeignAppId | Integer | Primary key |
| Name | String | Name of foreign application |
| CreatedDate | String | Registered when in UTC. |
| UpdatedDate | String | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the foreign application. |
| UpdatedBy | Associate | The person that last updated this foreign application. |
| Devices | Array | The devices that belong to this foreign app. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ForeignAppEntity
| Property Name | Type | Description |
|---|---|---|
| ForeignAppId | int32 | Primary key |
| Name | string | Name of foreign application |
| CreatedDate | date-time | Registered when in UTC. |
| UpdatedDate | date-time | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the foreign application. |
| UpdatedBy | Associate | The person that last updated this foreign application. |
| Devices | array | The devices that belong to this foreign app. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/ForeignSystem/SaveForeignAppEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"ForeignAppId": 549,
"Name": "Watsica LLC",
"CreatedDate": "2008-10-30T10:11:00.1924655+01:00",
"UpdatedDate": "2010-08-13T10:11:00.1924655+02:00",
"CreatedBy": null,
"UpdatedBy": null,
"Devices": [
{
"ForeignDeviceId": 595,
"Name": "Olson, Dibbert and Trantow",
"CreatedDate": "1998-10-18T10:11:00.1924655+02:00",
"UpdatedDate": "2010-04-03T10:11:00.1924655+02:00",
"AssociateFullName": "Carmine O'Keefe",
"CreatedBy": "asperiores",
"UpdatedBy": "distinctio",
"DeviceIdentifier": "nostrum",
"ForeignAppId": 992
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ForeignAppId": 191,
"Name": "Fahey LLC",
"CreatedDate": "2000-03-09T10:11:00.1924655+01:00",
"UpdatedDate": "2001-04-22T10:11:00.1924655+02:00",
"CreatedBy": null,
"UpdatedBy": null,
"Devices": [
{
"ForeignDeviceId": 284,
"Name": "Denesik-Mayert",
"CreatedDate": "2016-06-10T10:11:00.1924655+02:00",
"UpdatedDate": "2015-10-24T10:11:00.1924655+02:00",
"AssociateFullName": "June Herman",
"CreatedBy": "quod",
"UpdatedBy": "enim",
"DeviceIdentifier": "labore",
"ForeignAppId": 109,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 886
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 1002
}
}
}